Package org.springframework.expression.spel.ast

# Class ValueRef.TypedValueHolderValueRef

java.lang.Object
org.springframework.expression.spel.ast.ValueRef.TypedValueHolderValueRef

All Implemented Interfaces:
  `ValueRef`

Enclosing interface:
  ValueRef

public static class ValueRef.TypedValueHolderValueRef extends Object implements ValueRef
A ValueRef holder for a single value, which cannot be set.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.expression.spel.ast.ValueRef

`ValueRef.NullValueRef, ValueRef.TypedValueHolderValueRef`

## Constructor Summary

Constructors
Constructor
Description
`TypedValueHolderValueRef(TypedValue typedValue, SpelNodeImpl node)`

## Method Summary

Modifier and Type
Method
Description
`TypedValue`
`getValue()`
Returns the value this ValueRef points to, it should not require expression component re-evaluation.
`boolean`
`isWritable()`
Indicates whether calling setValue(Object) is supported.
`void`
`setValue(Object newValue)`
Sets the value this ValueRef points to, it should not require expression component re-evaluation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypedValueHolderValueRef

public TypedValueHolderValueRef(TypedValue typedValue, SpelNodeImpl node)

## Method Details

### getValue

public TypedValue getValue()
Description copied from interface: `ValueRef`
Returns the value this ValueRef points to, it should not require expression component re-evaluation.

Specified by:
  `getValue` in interface `ValueRef`
Returns:
  the value

### setValue

public void setValue(@Nullable Object newValue)
Description copied from interface: `ValueRef`
Sets the value this ValueRef points to, it should not require expression component re-evaluation.

Specified by:
  `setValue` in interface `ValueRef`
Parameters:
  `newValue` - the new value

### isWritable

public boolean isWritable()
Description copied from interface: `ValueRef`
Indicates whether calling setValue(Object) is supported.

Specified by:
  `isWritable` in interface `ValueRef`
Returns:
  true if setValue() is supported for this value reference.